package jp.co.areaweb.tools.gui;
import java.awt.LayoutManager;

import javax.swing.BoxLayout;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

/**
 * パラメータを設定する為のパネル。
 * この１インスタンスで、１パラメータをあらわす。
 */
@SuppressWarnings("serial")
public class ParameterPanel extends JPanel {
    JTextField argField;
    JLabel argLabel;

	public ParameterPanel(String label, String text) {
		super();
		
		argLabel = new JLabel(label);
		argField = new JTextField(text);
		
        this.setLayout(new BoxLayout(this, BoxLayout.X_AXIS));
        this.add(argLabel);
        this.add(argField);
	}
	
	public String getText() {
		return this.argField.getText();
	}

	public ParameterPanel(boolean isDoubleBuffered) {
		super(isDoubleBuffered);
		// TODO 自動生成されたコンストラクター・スタブ
	}

	public ParameterPanel(LayoutManager layout) {
		super(layout);
		// TODO 自動生成されたコンストラクター・スタブ
	}

	public ParameterPanel(LayoutManager layout, boolean isDoubleBuffered) {
		super(layout, isDoubleBuffered);
		// TODO 自動生成されたコンストラクター・スタブ
	}

}
